#pragma once
#include "JObject_NetSDK.h"
#include "ChannelTitle.h"
#include "ChannelTitleAttribute.h"
#include "TimeTitleAttribute.h"
#include "Covers.h"
NS_NETSDK_CFG_BEGIN

#define JK_AVEnc_VideoWidget "AVEnc.VideoWidget" 
class AVEnc_VideoWidget : public JObject
{
public:
	ChannelTitle				mChannelTitle;				///< 通道名称
	ChannelTitleAttribute		mChannelTitleAttribute;		///< 通道名称的位置
	JObjArray<Covers>			mCovers;						
	JIntObj						CoversNum;					///< 当前该通道有几个叠加的区域 */
	TimeTitleAttribute			mTimeTitleAttribute;		///< 设备时间

public:
    AVEnc_VideoWidget(JObject *pParent = NULL, const char *szName = JK_AVEnc_VideoWidget):
    JObject(pParent,szName),
	mChannelTitle(this, "ChannelTitle"),
	mChannelTitleAttribute(this, "ChannelTitleAttribute"),
	mCovers(this, "Covers"),
	CoversNum(this, "CoversNum"),
	mTimeTitleAttribute(this, "TimeTitleAttribute"){
	};

    ~AVEnc_VideoWidget(void){};
};

NS_NETSDK_CFG_END